package com.ss.android.ugc.aweme.live.alphaplayer;

import X.0CH;
import android.content.Context;
import com.bytedance.covode.number.Covode;

public class Configuration {
    public int alphaVideoViewType;
    public Context context;
    public 0CH lifecycleOwner;
    public String threadName = "alpha-play-thread";

    static {
        Covode.recordClassIndex(90998);
    }

    public int getAlphaVideoViewType() {
        return this.alphaVideoViewType;
    }

    public Context getContext() {
        return this.context;
    }

    public 0CH getLifecycleOwner() {
        return this.lifecycleOwner;
    }

    public String getThreadName() {
        return this.threadName;
    }

    public Configuration copy() {
        Configuration configuration = new Configuration();
        configuration.setContext(this.context);
        configuration.setLifecycleOwner(this.lifecycleOwner);
        configuration.setAlphaVideoViewType(this.alphaVideoViewType);
        configuration.setThreadName(this.threadName);
        return configuration;
    }

    public Configuration setAlphaVideoViewType(int i) {
        this.alphaVideoViewType = i;
        return this;
    }

    public Configuration setContext(Context context2) {
        this.context = context2;
        return this;
    }

    public Configuration setLifecycleOwner(0CH r1) {
        this.lifecycleOwner = r1;
        return this;
    }

    public Configuration setThreadName(String str) {
        this.threadName = str;
        return this;
    }
}
